/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.service.impl;

import gov.va.med.esr.service.MockService2;

/**
 * Created Nov 2, 2005 1:30:41 PM
 * @author DNS   BOHMEG
 */
public class MockService2Impl extends AbstractMockService implements MockService2 {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8889434010782323024L;

	/* (non-Javadoc)
	 * @see gov.va.med.esr.service.MockService1#processMock()
	 */
	public void processMock() {
		System.out.println("in MockService2Impl.processMock");
	}

	/* (non-Javadoc)
	 * @see gov.va.med.esr.service.MockService1#getMock()
	 */
	public void getMock() {
		System.out.println("in MockService2Impl.getMock");
	}

	/* (non-Javadoc)
	 * @see gov.va.med.esr.service.MockService1#nestedMock()
	 */
	public void nestedMock() {
		System.out.println("in MockService2Impl.nestedMock");
		createTriggerEvent("event1_from_MockService2");
		
		checkRollback();
	}
}
